Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Interface DSAEncoder

    public interface DSAEncoder

Method Summary
`java.math.BigInteger[]` | `decode(byte[] sig)`
`byte[]` | `encode(java.math.BigInteger r, java.math.BigInteger s)`

Method Detail

### encode

    byte[] encode(java.math.BigInteger r,
                  java.math.BigInteger s)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    java.math.BigInteger[] decode(byte[] sig)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD